%global momorel 3

Summary: perl-PlRPC module for perl
Name: perl-PlRPC
Version: 0.2020
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: 	Development/Languages
Source0: http://www.cpan.org/modules/by-module/RPC/PlRPC-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/RPC/
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-Net-Daemon >= 0.37-4m
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libwww-perl module for perl

%prep
%setup -q -n PlRPC

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make
# make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/RPC/PlServer/.packlist
rm -rf %{buildroot}%{perl_vendorlib}/.svn
rm -rf %{buildroot}%{perl_vendorlib}/Bundle/.svn

%clean 
rm -rf %{buildroot}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2020-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2020-2m)
- %%NoSource -> NoSource

* Mon Jul 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2020-1m)
- update to 0.2020

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2019-1m)
- update to 0.2019

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2018-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2018-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.2018-1m)
- update to 0.2018

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2017-5m)
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2017-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.2017-3m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2017-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2017-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2016-7m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2016-6m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.2016-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2016-4m)
- add BuildPreReq: perl-Net-Daemon

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.2016-3m)
- rebuild against perl-5.8.0

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.2016-2k)
- create

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man?/*
%{perl_vendorlib}/RPC
%{perl_vendorlib}/Bundle/*.pm
